{
  imports = [
    ./hardware-configuration.nix
    ../../roles
    ../../roles/vm.nix
    ../../modules/vmNetwork.nix
  ];

  # System configuration here

  networking.hostName = "cthulhu";
  vmNetwork.ipv4 = "192.168.0.16";
  system.stateVersion = "25.05";

  sops.secrets = {
    backupKey = {
      sopsFile = ./backupKey.secrets.yaml;
      owner = "root";
      group = "root";
      mode = "0400";
    };
  };
  # TODO for the network rework, make a central record of hostnames to ip adresses where every
  # machine can read out their ip address and also this machine
}
